Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# KeywordInfo Class Reference
[Parsers]

## Detailed Description

Information about one parsed keyword.

Contains keyword, symbol specifier, region reference and internal optimization field.

## Public Methods

void | swapWith (KeywordInfo *kwi)
| Swaps two keywords while sorting.

## Data Fields

const SString * | keyword
bool | isSymbol
const Region * | region
int | ssShorter

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:56 2003 by doxygen 1.3-rc2.